.site-loader {
      position: fixed;
      z-index: 99999999;
      left: 0;
      top: 0;
      width: 100%;
      height: 100%;
      background: #fff;
      color: #5E6D7E
    }
    
    .layout--loading {
      width: 100%;
      height: 100%;
      overflow: scroll;
      overflow-x: hidden;
      padding: 0;
      margin: 0
    }
    
    .lds-ellipsis {
      position: absolute;
      width: 64px;
      height: 64px;
      top: 50%;
      left: 50%;
      transform: translate(-50%, -50%)
    }
    
    .lds-ellipsis div {
      position: absolute;
      top: 27px;
      width: 11px;
      height: 11px;
      border-radius: 50%;
      background: currentColor;
      animation-timing-function: cubic-bezier(0, 1, 1, 0)
    }
    
    .lds-ellipsis div:nth-child(1) {
      left: 6px;
      animation: lds-ellipsis1 0.6s infinite
    }
    
    .lds-ellipsis div:nth-child(2) {
      left: 6px;
      animation: lds-ellipsis2 0.6s infinite
    }
    
    .lds-ellipsis div:nth-child(3) {
      left: 26px;
      animation: lds-ellipsis2 0.6s infinite
    }
    
    .lds-ellipsis div:nth-child(4) {
      left: 45px;
      animation: lds-ellipsis3 0.6s infinite
    }
    
    @keyframes lds-ellipsis1 {
      0% {
        transform: scale(0)
      }
      100% {
        transform: scale(1)
      }
    }
    
    @keyframes lds-ellipsis3 {
      0% {
        transform: scale(1)
      }
      100% {
        transform: scale(0)
      }
    }
    
    @keyframes lds-ellipsis2 {
      0% {
        transform: translate(0, 0)
      }
      100% {
        transform: translate(19px, 0)
      }
    }